function initialize()
{
  start_cutscene();
  Effect.sixteen_to_nine(0);
  Tux.deactivate();
  Text.set_pos(0, 180);
  Effect.fade_in(2);
  yeti.set_action("stand-left");
  Tux.walk(100);
  Tux.set_dir(true);
  wait(2);
  Text.set_text(_("Once entered the room, Tux felt that the prize was near."));
  Text.fade_in(1);
  wait(0.2);
  Tux.walk(75);
  wait(0.2);
  Tux.walk(50);
  wait(0.2);
  Tux.walk(25);
  wait(0.2)
  Tux.walk(0);
  wait(2);
  Tux.set_dir(false);
  wait(1);
  Tux.set_dir(true);
  Text.fade_out(1);
  wait(1.5);
  Text.set_text(_("And for his beliefs, it was right. The treasure vault was near!"));
  Text.fade_in(1);
  wait(2);
  Tux.do_jump(-400);
  wait(1);
  Tux.walk(75);
  wait(1);
  Text.fade_out(1);
  wait(1.5);
  Text.set_text(_("While getting near the shinnies, Tux saw another surprise!"));
  Text.fade_in(1);
  wait(2);
  stop_music(2);
  Tux.walk(0);
  wait(1);
  Text.fade_out(1);
  wait(1.5);
  Camera.scroll_to(1200 150 3);
  wait(1);
  play_music("music/antarctic/voc-boss.ogg");
  wait(1);
  yeti.set_action("stomp-left");
  play_sound("sounds/yeti_gna.wav");
  yeti.set_velocity(0, -300);
  wait(0.5);
  yeti.set_action("stand-left");
  wait(0.75);
  Camera.scroll_to(1100 130 10);
  Text.set_text(_("The Yeti was waiting for Tux in the treasure vault."));
  Text.fade_in(1);
  yeti.set_action("stomp-left");
  play_sound("sounds/yeti_gna.wav");
  yeti.set_velocity(0, -300);
  wait(0.5);
  yeti.set_action("stand-left");
  wait(1);
  yeti.set_action("jump-left");
  play_sound("sounds/yeti_roar.wav");
  yeti.set_velocity(0, -450);
  wait(0.85);
  Text.fade_out(1);
  yeti.set_action("stand-left");
  wait(1);
  Camera.scroll_to(300 150 4);
  wait(1);
  Text.set_text(_("Realizing what plans the Yeti had, Tux wouldn't let him get the big prize."));
  Text.fade_in(1);
  wait(3);
  Text.fade_out(1);
  wait(0.5);
  Tux.do_jump(-400);
  wait(1);
  Tux.walk(75);
  Text.set_text(_("And this means only one thing..."));
  Text.fade_in(1);
  wait(0.5);
  Camera.scroll_to(1200 150 1);
  wait(0.5);
  yeti.set_action("stomp-left");
  play_sound("sounds/yeti_gna.wav");
  yeti.set_velocity(0, -300);
  wait(0.5);
  yeti.set_action("stand-left");
  wait(0.5);
  yeti.set_action("walking-left");
  yeti.set_velocity(-150, 0);
  wait(1);
  Text.fade_out(1);
  Camera.scroll_to(700 150 1);
  wait(1.5);
  yeti.set_action("jump-left");
  yeti.set_velocity(-300, -400);
  play_sound("sounds/yeti_roar.wav");
  Tux.walk(300);
  Tux.do_jump(-400);
  wait(0.35);
  Effect.fade_out(0);
  stop_music(0);
  wait(2);
  Text.set_pos(0, 0);
  Text.set_text(_("Only one of them deserves the reward..."));
  Text.fade_in(1);
  wait(3);
  Text.fade_out(1);
  wait(2);
  end_cutscene();
  Level.spawn("boss" "main");
}

state_idx <- 0;
states <- { init=0, start=1};
function trigger_state(state) {
  local idx = states[state];
  if(!idx || idx <= state_idx)
    return;
  state_idx = idx;
  switch(state) {
    case "start":
      initialize();
      break;
  }
}
