function initialize()
{
  start_cutscene();
  Effect.sixteen_to_nine(0);
  Tux.deactivate();
  Text.set_pos(0, 180);
  Effect.fade_in(2);
  yeti.set_action("stand-right");
  yeti.set_visible(false);
  Tux.walk(100);
  wait(5);
  Text.set_text(_("Tux has traveled a great distance."));
  Text.fade_in(1);
  wait(2);
  Tux.walk(75);
  wait(0.25);
  Tux.walk(50);
  wait(0.25);
  Tux.walk(25);
  wait(0.25);
  Tux.walk(0);
  wait(1.25);
  Text.fade_out(1);
  Tux.set_dir(false);
  wait(2);
  Tux.set_dir(true);
  wait(1);
  Text.set_text(_("Despite his progress, Tux discovers that what he has gathered along his journey are not enough."));
  Text.fade_in(1);
  wait(3);
  Tux.walk(100);
  wait(1);
  Text.fade_out(1);
  wait(3);
  Tux.walk(75);
  Text.set_text(_("Just when Tux begins to doubt the possibilities, a mysterious fortress emerges in the distance."));
  Text.fade_in(1);
  wait(0.25);
  Tux.walk(50);
  wait(0.25);
  Tux.walk(25);
  wait(0.25);
  Tux.walk(0);
  wait(3.25);
  Tux.do_jump(-600);
  wait(1.5);
  Tux.activate();
  wait(0.01);
  Tux.use_scripting_controller(true);
  Tux.do_scripting_controller("right", true);
  wait(1);
  Text.fade_out(1);
  wait(1);
  Camera.scroll_to(1100 120 4.5);
  Text.set_text(_("Intrigued, Tux sets out for the fortress, waiting to discover something beauty within its walls."));
  Text.fade_in(1);
  wait(4.5);
  Camera.set_mode("manual");
  Text.set_text(_("But..."));
  stop_music(0);
  wait(2);
  Text.set_text(_("Tux is not alone in coveting that fortress's treasures."));
  wait(1);
  Camera.scroll_to(50 100 5.5);
  wait(3);
  Text.fade_out(1);
  wait(1);
  yeti.set_visible(true);
  wait(2.5);
  yeti.set_action("stomp-right");
  play_sound("sounds/yeti_gna.wav");
  yeti.set_velocity(0, -300);
  wait(0.5);
  yeti.set_action("stand-right");
  wait(0.75);
  yeti.set_velocity(250, -450);
  yeti.set_action("jump-right");
  play_sound("sounds/yeti_roar.wav");
  wait(1.4);
  yeti.set_action("walking-right");
  wait(1);
  yeti.set_action("jump-right");
  yeti.set_velocity(250, -650);
  wait(1.08);
  yeti.set_action("walking-right");
  wait(3);
  Effect.fade_out(2);
  wait(2.1);
  end_cutscene();
  Level.finish(true);
}

state_idx <- 0;
states <- { init=0, start=1};
function trigger_state(state) {
  local idx = states[state];
  if(!idx || idx <= state_idx)
    return;
  state_idx = idx;
  switch(state) {
    case "start":
      initialize();
      break;
  }
}
