function initialize()
{
function gateshake(time) {
  for (local i = 0; i < time / 0.1; i++) {
    local x = rand() % 5 - 3;
    local y = rand() % 5 - 3;
    sector.Camera.shake(0.05, x, y);
    wait(0.05);
    sector.Camera.shake(0.05, -x, -y);
    wait(0.05);
  }
}

  start_cutscene();
  key.set_action("outline");
  Effect.sixteen_to_nine(0);
  Tux.deactivate();
  Text.set_pos(0, 180);
  Camera.scroll_to(0 150 0);
  Effect.fade_in(2);
  Camera.scroll_to(2000 150 20);
  wait(2);
  Text.set_text(_("Once he defeated the Yeti, Tux would claim his reward."));
  Text.fade_in(1);
  wait(4);
  Text.fade_out(1);
  wait(3);
  Tux.walk(75);
  Text.set_text(_("So, Tux was ready to open the Treasure Gate."));
  Text.fade_in(1);
  wait(1.5);
  Tux.walk(50);
  wait(0.25);
  Tux.walk(25);
  wait(0.25);
  Tux.walk(0);
  wait(1);
  Text.fade_out(1);
  wait(3);
  Text.set_text(_("He inserted the Key..."));
  Text.fade_in(1);
  wait(1.5);
  play_sound("sounds/turnkey.ogg");
  wait(1);
  key.set_action("display");
  wait(0.5);
  Text.fade_out(1);
  wait(2);
  gate.goto_node(1);
  gateshake(1);
  stop_music(3);
  AAAAAAAMYEYEESSSSSSS.fade(1, 3);
  settings.fade_to_ambient_light(1 ,1 ,1 ,1);
  gateshake(3);
  wait(3);
  key.set_visible(false);
  gate.fade(0, 0);
  AAAAAAAMYEYEESSSSSSS.fade(0 ,3);
  settings.fade_to_ambient_light(0.5, 0.6, 0.8, 3);
  wait(4);
  Text.set_text(_("Tux's eyes couldn't believe it, it was the legendary \"Eat-Me\" plate."));
  Text.fade_in(1);
  wait(2);
  Tux.do_jump(-400);
  wait(0.8);
  Tux.do_jump(-500);
  wait(0.5);
  Text.fade_out(1);
  wait(1.5);
  Text.set_text(_("Proclaimed by the Treasure vault keeper as the \"Fish from the Infinite\"."));
  Text.fade_in(1);
  wait(2);
  Tux.walk(75);
  wait(0.7);
  Tux.walk(0);
  wait(1.3);
  Text.fade_out(1);
  wait(0.5);
  Tux.set_dir(false);
  wait(1);
  Tux.set_dir(true);
  wait(0.5);
  Effect.fade_out(2);
  wait(3);
  Text.set_pos(0, 0);
  Text.set_text(_("With a satisfying sensation, this is how Tux's journey had come to an end."));
  Text.fade_in(1);
  wait(4);
  Text.fade_out(1);
  wait(2);
  end_cutscene();
  Level.finish(true);
}

state_idx <- 0;
states <- { init=0, start=1};
function trigger_state(state) {
  local idx = states[state];
  if(!idx || idx <= state_idx)
    return;
  state_idx = idx;
  switch(state) {
    case "start":
      initialize();
      break;
  }
}
